include(xProject)
include(Tools)

xProject_Add(DIM
        GIT_SUBMODULE
        CMAKE_ARGS -DBUILD_SHARED_LIBS=OFF -DCMAKE_INSTALL_PREFIX=
        -DJDIM=OFF
        -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
        CMAKE_CACHE_ARGS "-DEXT_CACHE:path=${CMAKE_BINARY_DIR}"
        INSTALL_COMMAND $(MAKE) install "DESTDIR=${CMAKE_BINARY_DIR}/instroot"
        LIBRARIES "${CMAKE_BINARY_DIR}/instroot/${CMAKE_INSTALL_LIBDIR}/libdim.a"
        INCLUDE_DIRS "${CMAKE_BINARY_DIR}/instroot/${CMAKE_INSTALL_INCLUDEDIR}/dim")

find_library(PTHREAD_LIBRARY "pthread")
assert(PTHREAD_LIBRARY MESSAGE "pthread library not found")
list(APPEND DIM_LIBRARIES "${PTHREAD_LIBRARY}")